API reference · Types
OrderWebhookCustomer
Part of the response of 7 operations and the payload of order.created and order.updated.
Type: object
Example
{
"name": "Alex Morgan",
"email": "alex.morgan@example.test",
"shipping_address": {
"line1": "123 Sandbox Avenue",
"line2": "Unit 4",
"city": "Toronto",
"province": "ON",
"postal_code": "M5V 2T6",
"country": "CA"
}
}Fields
namestring requiredExample
Alex Morganemailstring requiredThe contact email address.
Example
alex.morgan@example.testshipping_addressOrderrequiredWebhook Shipping Address The shipping address saved when the order was created.
Show child fieldsHide child fields
shipping_address.string requiredline1 The street address.
Example
123 Sandbox Avenueshipping_address.string or null requiredline2 The unit, suite, or second address line, if supplied.
Example
Unit 4shipping_address.string requiredcity The city in the shipping address.
Example
Torontoshipping_address.string requiredprovince The Canadian province or territory in the delivery address.
Example
ONshipping_address.string requiredpostal_code The Canadian postal code in the delivery address.
Example
M5V 2T6shipping_address.string requiredcountry ISO 3166-1 alpha-2 country code.
Example
CA
Used by
GET /orders- Poll orders (response)GET /orders/{orderId}- Get one order (response)PATCH /orders/{orderId}/fulfillment- Update fulfillment (response)POST /orders/{orderId}/cancel- Cancel an order (response)POST /orders/{orderId}/refunds- Create a refund (response)POST /orders/{orderId}/corrections- Correct the ship-to address (response)POST /orders/{orderId}/address-verification/retry- Retry address verification (response)order.created- Order created (payload)order.updated- Order updated (payload)